# $Revision: 1.58 $, $Date: 2009/01/10 17:50:49 $
Summary:	Utilities belonging to the Reiser filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos ReiserFS
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою ReiserFS
Summary(ru.UTF-8):	Утилиты для работы с файловой системой ReiserFS
Name:		reiserfsprogs
Version:	3.6.21
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.gz
# Source0-md5:	bc00c7c4e047902575dc4e1c64ab3ba4
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libuuid-devel
BuildRequires:	sed >= 4.0
Obsoletes:	reiserfs-utils
Conflicts:	progsreiserfs < 0.3.1-1.rc8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiserfs), sprawdzania i
naprawiania błędów (reiserfsck) oraz zmiany wielkości
(resize_reiserfs) systemu plików ReiserFS.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos ReiserFS.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой ReiserFS.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою ReiserFS.

%prep
%setup -q

# hack, otherwise configure failed
sed -i -e 's#AM_ENABLE_SHARED##g' configure.in

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifarch alpha ppc ppc64 sparc sparcv9 sparc64
	ac_cv_header_asm_unaligned=no
%endif

%{__make} all \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf reiserfsck $RPM_BUILD_ROOT%{_sbindir}/fsck.reiserfs
ln -sf mkreiserfs $RPM_BUILD_ROOT%{_sbindir}/mkfs.reiserfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: reiserfsprogs.spec,v $
Revision 1.58  2009/01/10 17:50:49  arekm
- bigendian patch obsolete

Revision 1.57  2009/01/10 17:48:43  arekm
- up to 3.6.21

Revision 1.56  2008/11/01 16:08:47  qboosh
- BR sed 4

Revision 1.55  2008/11/01 16:06:50  arekm
- rel 3; hack

Revision 1.54  2008/07/27 23:03:38  arekm
- release 2

Revision 1.53  2007-06-02 19:24:06  areq
- %{__make} -j1 install

Revision 1.52  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.51  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.50  2006/11/15 08:33:40  qboosh
- Conflicts: progsreiserfs < 0.3.1-1.rc.8.5 (fsck,mkfs,resizefs,tunefs moved here)

Revision 1.49  2006/11/15 07:28:29  qboosh
- avoid <asm/unaligned.h> on alpha too

Revision 1.48  2006/11/15 02:55:29  sparky
- added bigendian-fix patch, now builds on ppc

Revision 1.47  2006/11/14 23:43:49  qboosh
- use own {get,put}_unaligned defines instead of <asm/unaligned.h> on ppc/sparc

Revision 1.46  2006/11/14 23:40:01  qboosh
- noticed conflict with progsreiserfs (I'd remove these utils from progsreiserfs)

Revision 1.45  2006/11/14 23:31:16  qboosh
- updated to 3.6.20, removed outdated unaligned patch
- BR: libuuid-devel

Revision 1.44  2005/06/16 12:57:43  hawk
- release 2 (1 for Ra)

Revision 1.43  2004/10/17 15:53:29  qboosh
- updated to 3.6.19, updated unaligned patch

Revision 1.42  2004/08/07 21:21:00  qboosh
- added unaligned patch to build without <asm/unaligned.h>

Revision 1.41  2004/08/04 17:49:08  adamg
- updated to 3.6.18 (compilation fails)

Revision 1.40  2004/05/17 08:27:28  trojan
- updated to 3.6.17

Revision 1.39  2004/05/13 19:30:30  adamg
- updated to 3.6.16
- removed acfix patch

Revision 1.38  2004/03/20 15:37:03  adamg
- updated to 3.6.14

Revision 1.37  2004/02/29 18:58:58  qboosh
- updated to 3.6.13

Revision 1.36  2004/02/14 22:35:32  adamg
- updated to 3.6.12

Revision 1.35  2003/09/01 20:48:32  blues
- cosmetics

Revision 1.34  2003/09/01 10:14:39  blues
- release 2, epoch 1 - to allow upgrade from previous strange versions...

Revision 1.33  2003/08/08 09:19:26  adamg
- temporary use dropin.pld-linux.org

Revision 1.32  2003/08/02 20:46:56  adamg
- updated to 3.6.11

Revision 1.31  2003/07/25 17:13:02  adamg
- updated to 3.6.10

Revision 1.30  2003/07/17 09:34:06  trojan
- updated to 3.6.9

Revision 1.29  2003/07/09 16:26:40  adamg
- updated to 3.6.8
- fixed urls

Revision 1.28  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:26:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/05 09:18:55  trojan
- updated to 3.6.7: bug fixes

Revision 1.25  2003/04/29 07:20:32  trojan
- updated to 3.6.6

Revision 1.24  2003/03/25 12:19:40  trojan
- updated to 3.6.5

Revision 1.23  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.22  2002/11/06 15:23:50  zer0cool

Updated

Revision 1.21  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/05/21 23:14:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/05/04 21:44:52  qboosh
- added ac25x needed for autoconf 2.53

Revision 1.18  2002/05/04 11:48:39  kloczek
- License changed to GPL v2,
- better %description (from MDK),
- merge translations from KSI.

Revision 1.17  2002/05/04 10:29:46  mkochano
- Release 1.
- Updated to 3.x.1b.
- Removed patches mktemp (obsolete) and endian_safe (seems to be merged
  with sources).

Revision 1.16  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/20 23:34:04  kloczek
- release 5.

Revision 1.14  2002/03/18 09:16:42  malekith
- thrown away BOOT
- pass rpmldflags

Revision 1.13  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/29 23:53:35  gotar
- %description changes/adds.

Revision 1.10  2001/10/25 15:45:19  kloczek
- release 4,
- remove %%{_sbindir} directory from %files (it belongs to FHS).

Revision 1.9  2001/09/28 02:25:20  kloczek
- added endian-safe patch from MDK.

Revision 1.8  2001/09/27 17:06:43  gotar
- changed {fsck,mkfs}.reiserfs from hardlinks to symlinks,
- release 3.

Revision 1.7  2001/09/17 11:57:14  qboosh
- removed English "es" translations

Revision 1.6  2001/09/08 07:20:24  kloczek
- release 2,
- merge mkstemp patch from RH,
- spec adapterized,
- changed License to GPL,
- regenerate ac/am files.

Revision 1.5  2001/09/06 02:39:11  aflinta
- Changed to configure2_13

Revision 1.4  2001/08/23 17:32:22  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.3  2001/06/08 14:36:52  klakier
- added BOOT package

Revision 1.2  2001/04/01 12:15:44  misiek
3.x.0j; stb

Revision 1.1  2001/03/15 14:27:57  baggins
- initial revision
